# Class pyglet.media.VideoFormat

Video details.

An instance of this class is provided by sources with a video track. You should not modify the fields.

Note that the sample aspect has no relation to the aspect ratio of the video image. For example, a video image of 640x480 with sample aspect 2.0 should be displayed at 1280x480. It is the responsibility of the application to perform this scaling.

## Methods

| __init__(self, width, height, sample_aspect=1.0)

## Instance Variables

int | height Height of video image, in pixels.
float | sample_aspect Aspect ratio (width over height) of a single video pixel.
int | width Width of video image, in pixels.